> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Position



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Position/PositionUpload
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Position/PositionUpload:
    post:
      tags:
        - Position
      summary: Upload Position
      operationId: PositionUpload
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiPositionUploadRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiPositionUploadRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiPositionUploadRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiPositionUploadRequest'
        description: The position upload request.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiPositionUploadResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiPositionUploadRequest:
      description: >-
        For /api/Position/PositionUpload, omitting both provider selectors uses
        the Derivitec provider. Access to the selected provider is required. The
        /api/LegacyPosition/PositionUpload operation ignores both provider
        selectors.
      example:
        positions:
          - book: book
            client_tradable_id: client_tradable_id
            client_transaction_id: client_transaction_id
            leg: leg
            counterparty_account: counterparty_account
            string_label8: string_label8
            string_label9: string_label9
            string_label15: string_label15
            string_label6: string_label6
            string_label14: string_label14
            string_label7: string_label7
            string_label13: string_label13
            quantity: 0.8008281904610115
            contract:
              identifier: identifier
            trade_action: trade_action
            team: team
            string_label12: string_label12
            business_unit: business_unit
            string_label11: string_label11
            trade_date: '2000-01-23T04:56:07.000+00:00'
            string_label10: string_label10
            structure: structure
            sub_business_unit: sub_business_unit
            string_label1: string_label1
            dealer_name: dealer_name
            counterparty: counterparty
            strategy: strategy
            string_label4: string_label4
            string_label5: string_label5
            entity: entity
            string_label2: string_label2
            string_label3: string_label3
          - book: book
            client_tradable_id: client_tradable_id
            client_transaction_id: client_transaction_id
            leg: leg
            counterparty_account: counterparty_account
            string_label8: string_label8
            string_label9: string_label9
            string_label15: string_label15
            string_label6: string_label6
            string_label14: string_label14
            string_label7: string_label7
            string_label13: string_label13
            quantity: 0.8008281904610115
            contract:
              identifier: identifier
            trade_action: trade_action
            team: team
            string_label12: string_label12
            business_unit: business_unit
            string_label11: string_label11
            trade_date: '2000-01-23T04:56:07.000+00:00'
            string_label10: string_label10
            structure: structure
            sub_business_unit: sub_business_unit
            string_label1: string_label1
            dealer_name: dealer_name
            counterparty: counterparty
            strategy: strategy
            string_label4: string_label4
            string_label5: string_label5
            entity: entity
            string_label2: string_label2
            string_label3: string_label3
      properties:
        market_data_environment_name:
          description: >-
            Name of the market-data environment. Supply this name or
            provider_id, not both.
          nullable: true
          type: string
        provider_id:
          description: >-
            Opaque market-data provider identifier. Supply this identifier or
            market_data_environment_name, not both.
          nullable: true
          type: string
        create_missing_books:
          type: boolean
        file_template:
          enum:
            - derivitec_mixed
            - derivitec_by_security_type
            - eze
          type: string
        use_best_effort:
          type: boolean
        positions:
          items:
            $ref: '#/components/schemas/Position'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Positions.ApiPositionUploadRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiPositionUploadResponse:
      example:
        results:
          - error_message: error_message
            client_transaction_id: client_transaction_id
            tradable_id: tradable_id
            succeeded: true
          - error_message: error_message
            client_transaction_id: client_transaction_id
            tradable_id: tradable_id
            succeeded: true
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        results:
          items:
            $ref: '#/components/schemas/PositionUploadResult'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Positions.ApiPositionUploadResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    Position:
      example:
        book: book
        client_tradable_id: client_tradable_id
        client_transaction_id: client_transaction_id
        leg: leg
        counterparty_account: counterparty_account
        string_label8: string_label8
        string_label9: string_label9
        string_label15: string_label15
        string_label6: string_label6
        string_label14: string_label14
        string_label7: string_label7
        string_label13: string_label13
        quantity: 0.8008281904610115
        contract:
          identifier: identifier
        trade_action: trade_action
        team: team
        string_label12: string_label12
        business_unit: business_unit
        string_label11: string_label11
        trade_date: '2000-01-23T04:56:07.000+00:00'
        string_label10: string_label10
        structure: structure
        sub_business_unit: sub_business_unit
        string_label1: string_label1
        dealer_name: dealer_name
        counterparty: counterparty
        strategy: strategy
        string_label4: string_label4
        string_label5: string_label5
        entity: entity
        string_label2: string_label2
        string_label3: string_label3
      properties:
        book:
          nullable: true
          type: string
        client_transaction_id:
          nullable: true
          type: string
        trade_action:
          nullable: true
          type: string
        team:
          nullable: true
          type: string
        strategy:
          nullable: true
          type: string
        entity:
          nullable: true
          type: string
        business_unit:
          nullable: true
          type: string
        sub_business_unit:
          nullable: true
          type: string
        counterparty_account:
          nullable: true
          type: string
        client_tradable_id:
          nullable: true
          type: string
        string_label1:
          nullable: true
          type: string
        string_label2:
          nullable: true
          type: string
        string_label3:
          nullable: true
          type: string
        string_label4:
          nullable: true
          type: string
        string_label5:
          nullable: true
          type: string
        string_label6:
          nullable: true
          type: string
        string_label7:
          nullable: true
          type: string
        string_label8:
          nullable: true
          type: string
        string_label9:
          nullable: true
          type: string
        string_label10:
          nullable: true
          type: string
        string_label11:
          nullable: true
          type: string
        string_label12:
          nullable: true
          type: string
        string_label13:
          nullable: true
          type: string
        string_label14:
          nullable: true
          type: string
        string_label15:
          nullable: true
          type: string
        dealer_name:
          nullable: true
          type: string
        structure:
          nullable: true
          type: string
        quantity:
          format: double
          type: number
        contract:
          $ref: '#/components/schemas/IContract'
        trade_date:
          format: date-time
          type: string
        leg:
          nullable: true
          type: string
        counterparty:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Positions.Position, Derivitec.Web.Core
      required:
        - $type
      type: object
    PositionUploadResult:
      example:
        error_message: error_message
        client_transaction_id: client_transaction_id
        tradable_id: tradable_id
        succeeded: true
      properties:
        succeeded:
          type: boolean
        client_transaction_id:
          nullable: true
          type: string
        tradable_id:
          nullable: true
          type: string
        error_message:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Positions.PositionUploadResult,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    IContract:
      discriminator:
        mapping:
          Derivitec.Web.Core.Tradables.Ascot, Derivitec.Web.Core: '#/components/schemas/Ascot'
          Derivitec.Web.Core.Tradables.Bond, Derivitec.Web.Core: '#/components/schemas/BondMintlifyShape'
          Derivitec.Web.Core.Tradables.BondByCode, Derivitec.Web.Core: '#/components/schemas/BondByCode'
          Derivitec.Web.Core.Tradables.BondFuture, Derivitec.Web.Core: '#/components/schemas/BondFuture'
          Derivitec.Web.Core.Tradables.BondFutureByCode, Derivitec.Web.Core: '#/components/schemas/BondFutureByCode'
          Derivitec.Web.Core.Tradables.BondOption, Derivitec.Web.Core: '#/components/schemas/BondOption'
          Derivitec.Web.Core.Tradables.Cash, Derivitec.Web.Core: '#/components/schemas/Cash'
          Derivitec.Web.Core.Tradables.CDS, Derivitec.Web.Core: '#/components/schemas/CDS'
          Derivitec.Web.Core.Tradables.CmdtyFuture, Derivitec.Web.Core: '#/components/schemas/CmdtyFuture'
          Derivitec.Web.Core.Tradables.CmdtyFutureByCode, Derivitec.Web.Core: '#/components/schemas/CmdtyFutureByCode'
          Derivitec.Web.Core.Tradables.CmdtyOption, Derivitec.Web.Core: '#/components/schemas/CmdtyOption'
          Derivitec.Web.Core.Tradables.CodeSpecified, Derivitec.Web.Core: '#/components/schemas/CodeSpecifiedMintlifyShape'
          Derivitec.Web.Core.Tradables.ContractExternal, Derivitec.Web.Core: '#/components/schemas/ContractExternalMintlifyShape'
          Derivitec.Web.Core.Tradables.ConvertibleBond, Derivitec.Web.Core: '#/components/schemas/ConvertibleBond'
          Derivitec.Web.Core.Tradables.ConvertibleBondByCode, Derivitec.Web.Core: '#/components/schemas/ConvertibleBondByCode'
          Derivitec.Web.Core.Tradables.CreditIndex, Derivitec.Web.Core: '#/components/schemas/CreditIndex'
          Derivitec.Web.Core.Tradables.CreditIndexByCode, Derivitec.Web.Core: '#/components/schemas/CreditIndexByCode'
          Derivitec.Web.Core.Tradables.CreditIndexSwaption, Derivitec.Web.Core: '#/components/schemas/CreditIndexSwaption'
          Derivitec.Web.Core.Tradables.EqAccumulator, Derivitec.Web.Core: '#/components/schemas/EqAccumulator'
          Derivitec.Web.Core.Tradables.EqAutocallableWorstOfOption, Derivitec.Web.Core: '#/components/schemas/EqAutocallableWorstOfOption'
          Derivitec.Web.Core.Tradables.EqBarrierMA, Derivitec.Web.Core: '#/components/schemas/EqBarrierMA'
          Derivitec.Web.Core.Tradables.EqBasketOption, Derivitec.Web.Core: '#/components/schemas/EqBasketOption'
          Derivitec.Web.Core.Tradables.EqBestOfOption, Derivitec.Web.Core: '#/components/schemas/EqBestOfOption'
          Derivitec.Web.Core.Tradables.EqConditionalCorridorVarianceSwap, Derivitec.Web.Core: '#/components/schemas/EqConditionalCorridorVarianceSwap'
          Derivitec.Web.Core.Tradables.EqCorrelationSwap, Derivitec.Web.Core: '#/components/schemas/EqCorrelationSwap'
          Derivitec.Web.Core.Tradables.EqCorridorVarianceSwap, Derivitec.Web.Core: '#/components/schemas/EqCorridorVarianceSwap'
          Derivitec.Web.Core.Tradables.EqCorridorVolatilitySwap, Derivitec.Web.Core: '#/components/schemas/EqCorridorVolatilitySwap'
          Derivitec.Web.Core.Tradables.EqCorridorVolVarSwapBase, Derivitec.Web.Core: '#/components/schemas/EqCorridorVolVarSwapBaseMintlifyShape'
          Derivitec.Web.Core.Tradables.EqDividendFuture, Derivitec.Web.Core: '#/components/schemas/EqDividendFuture'
          Derivitec.Web.Core.Tradables.EqDividendFutureByCode, Derivitec.Web.Core: '#/components/schemas/EqDividendFutureByCode'
          Derivitec.Web.Core.Tradables.EqDividendOption, Derivitec.Web.Core: '#/components/schemas/EqDividendOption'
          Derivitec.Web.Core.Tradables.EqDividendSwap, Derivitec.Web.Core: '#/components/schemas/EqDividendSwap'
          Derivitec.Web.Core.Tradables.EqDividendSwapKnockout, Derivitec.Web.Core: '#/components/schemas/EqDividendSwapKnockout'
          Derivitec.Web.Core.Tradables.EqDoubleKnockin, Derivitec.Web.Core: '#/components/schemas/EqDoubleKnockin'
          Derivitec.Web.Core.Tradables.EqDoubleKnockout, Derivitec.Web.Core: '#/components/schemas/EqDoubleKnockout'
          Derivitec.Web.Core.Tradables.EqFuture, Derivitec.Web.Core: '#/components/schemas/EqFuture'
          Derivitec.Web.Core.Tradables.EqFutureByCode, Derivitec.Web.Core: '#/components/schemas/EqFutureByCode'
          Derivitec.Web.Core.Tradables.EqFVA, Derivitec.Web.Core: '#/components/schemas/EqFVA'
          Derivitec.Web.Core.Tradables.EqFVASwaption, Derivitec.Web.Core: '#/components/schemas/EqFVASwaption'
          Derivitec.Web.Core.Tradables.EqGeometricVarianceSwap, Derivitec.Web.Core: '#/components/schemas/EqGeometricVarianceSwap'
          Derivitec.Web.Core.Tradables.EqGeometricVolVarSwapBase, Derivitec.Web.Core: '#/components/schemas/EqGeometricVolVarSwapBaseMintlifyShape'
          Derivitec.Web.Core.Tradables.EqKnockin, Derivitec.Web.Core: '#/components/schemas/EqKnockin'
          Derivitec.Web.Core.Tradables.EqKnockinKnockout, Derivitec.Web.Core: '#/components/schemas/EqKnockinKnockout'
          Derivitec.Web.Core.Tradables.EqKnockout, Derivitec.Web.Core: '#/components/schemas/EqKnockout'
          Derivitec.Web.Core.Tradables.EqOption, Derivitec.Web.Core: '#/components/schemas/EqOption'
          Derivitec.Web.Core.Tradables.EqOptionAmerican, Derivitec.Web.Core: '#/components/schemas/EqOptionAmerican'
          Derivitec.Web.Core.Tradables.EqOutperformanceOption, Derivitec.Web.Core: '#/components/schemas/EqOutperformanceOption'
          Derivitec.Web.Core.Tradables.EqStock, Derivitec.Web.Core: '#/components/schemas/EqStock'
          Derivitec.Web.Core.Tradables.EqSwap, Derivitec.Web.Core: '#/components/schemas/EqSwap'
          Derivitec.Web.Core.Tradables.EqTarn, Derivitec.Web.Core: '#/components/schemas/EqTarn'
          Derivitec.Web.Core.Tradables.EqVarianceSwap, Derivitec.Web.Core: '#/components/schemas/EqVarianceSwap'
          Derivitec.Web.Core.Tradables.EqVolatilityKnockoutOption, Derivitec.Web.Core: '#/components/schemas/EqVolatilityKnockoutOption'
          Derivitec.Web.Core.Tradables.EqVolatilitySwap, Derivitec.Web.Core: '#/components/schemas/EqVolatilitySwap'
          Derivitec.Web.Core.Tradables.EqVolatilitySwapBase, Derivitec.Web.Core: '#/components/schemas/EqVolatilitySwapBaseMintlifyShape'
          Derivitec.Web.Core.Tradables.EqVolIndexFuture, Derivitec.Web.Core: '#/components/schemas/EqVolIndexFuture'
          Derivitec.Web.Core.Tradables.EqVolIndexFutureByCode, Derivitec.Web.Core: '#/components/schemas/EqVolIndexFutureByCode'
          Derivitec.Web.Core.Tradables.EqVolIndexOption, Derivitec.Web.Core: '#/components/schemas/EqVolIndexOption'
          Derivitec.Web.Core.Tradables.FullySpecified, Derivitec.Web.Core: '#/components/schemas/FullySpecifiedMintlifyShape'
          Derivitec.Web.Core.Tradables.FxAccumulator, Derivitec.Web.Core: '#/components/schemas/FxAccumulator'
          Derivitec.Web.Core.Tradables.FxAsianOption, Derivitec.Web.Core: '#/components/schemas/FxAsianOption'
          Derivitec.Web.Core.Tradables.FxBarrierMA, Derivitec.Web.Core: '#/components/schemas/FxBarrierMA'
          Derivitec.Web.Core.Tradables.FxBasketFuture, Derivitec.Web.Core: '#/components/schemas/FxBasketFuture'
          Derivitec.Web.Core.Tradables.FxBasketOption, Derivitec.Web.Core: '#/components/schemas/FxBasketOption'
          Derivitec.Web.Core.Tradables.FxCorrelationSwap, Derivitec.Web.Core: '#/components/schemas/FxCorrelationSwap'
          Derivitec.Web.Core.Tradables.FxDoubleKnockin, Derivitec.Web.Core: '#/components/schemas/FxDoubleKnockin'
          Derivitec.Web.Core.Tradables.FxDoubleKnockout, Derivitec.Web.Core: '#/components/schemas/FxDoubleKnockout'
          Derivitec.Web.Core.Tradables.FxForward, Derivitec.Web.Core: '#/components/schemas/FxForward'
          Derivitec.Web.Core.Tradables.FxFuture, Derivitec.Web.Core: '#/components/schemas/FxFuture'
          Derivitec.Web.Core.Tradables.FxFutureByCode, Derivitec.Web.Core: '#/components/schemas/FxFutureByCode'
          Derivitec.Web.Core.Tradables.FxFVA, Derivitec.Web.Core: '#/components/schemas/FxFVA'
          Derivitec.Web.Core.Tradables.FxKnockin, Derivitec.Web.Core: '#/components/schemas/FxKnockin'
          Derivitec.Web.Core.Tradables.FxKnockout, Derivitec.Web.Core: '#/components/schemas/FxKnockout'
          Derivitec.Web.Core.Tradables.FxOption, Derivitec.Web.Core: '#/components/schemas/FxOption'
          Derivitec.Web.Core.Tradables.FxOptionAmerican, Derivitec.Web.Core: '#/components/schemas/FxOptionAmerican'
          Derivitec.Web.Core.Tradables.FxOptionOnRealisedVolatility, Derivitec.Web.Core: '#/components/schemas/FxOptionOnRealisedVolatility'
          Derivitec.Web.Core.Tradables.FxOptionSA, Derivitec.Web.Core: '#/components/schemas/FxOptionSAMintlifyShape'
          Derivitec.Web.Core.Tradables.FxTarn, Derivitec.Web.Core: '#/components/schemas/FxTarn'
          Derivitec.Web.Core.Tradables.FxTarnMA, Derivitec.Web.Core: '#/components/schemas/FxTarnMA'
          Derivitec.Web.Core.Tradables.FxVarianceSwap, Derivitec.Web.Core: '#/components/schemas/FxVarianceSwap'
          Derivitec.Web.Core.Tradables.FxVarianceSwapBase, Derivitec.Web.Core: '#/components/schemas/FxVarianceSwapBaseMintlifyShape'
          Derivitec.Web.Core.Tradables.FxVolatilitySwap, Derivitec.Web.Core: '#/components/schemas/FxVolatilitySwap'
          Derivitec.Web.Core.Tradables.IBond, Derivitec.Web.Core: '#/components/schemas/IBondMintlifyShape'
          Derivitec.Web.Core.Tradables.IBondByCode, Derivitec.Web.Core: '#/components/schemas/IBondByCodeMintlifyShape'
          Derivitec.Web.Core.Tradables.ICashFlowContract, Derivitec.Web.Core: '#/components/schemas/ICashFlowContractMintlifyShape'
          Derivitec.Web.Core.Tradables.IContract, Derivitec.Web.Core: '#/components/schemas/IContractMintlifyShape'
          Derivitec.Web.Core.Tradables.IEqContract, Derivitec.Web.Core: '#/components/schemas/IEqContractMintlifyShape'
          Derivitec.Web.Core.Tradables.IRCapFloor, Derivitec.Web.Core: '#/components/schemas/IRCapFloor'
          Derivitec.Web.Core.Tradables.IRCapFloorBase, Derivitec.Web.Core: '#/components/schemas/IRCapFloorBaseMintlifyShape'
          Derivitec.Web.Core.Tradables.IRCapFloorCMS, Derivitec.Web.Core: '#/components/schemas/IRCapFloorCMS'
          Derivitec.Web.Core.Tradables.IRFuture, Derivitec.Web.Core: '#/components/schemas/IRFuture'
          Derivitec.Web.Core.Tradables.IRFutureByCode, Derivitec.Web.Core: '#/components/schemas/IRFutureByCode'
          Derivitec.Web.Core.Tradables.IRLeg, Derivitec.Web.Core: '#/components/schemas/IRLeg'
          Derivitec.Web.Core.Tradables.IRLegFixed, Derivitec.Web.Core: '#/components/schemas/IRLegFixed'
          Derivitec.Web.Core.Tradables.IRLegFloating, Derivitec.Web.Core: '#/components/schemas/IRLegFloating'
          Derivitec.Web.Core.Tradables.IROption, Derivitec.Web.Core: '#/components/schemas/IROption'
          Derivitec.Web.Core.Tradables.IRSwap, Derivitec.Web.Core: '#/components/schemas/IRSwap'
          Derivitec.Web.Core.Tradables.IRSwaption, Derivitec.Web.Core: '#/components/schemas/IRSwaption'
          Derivitec.Web.Core.Tradables.Margin, Derivitec.Web.Core: '#/components/schemas/Margin'
          Derivitec.Web.Core.Tradables.Repo, Derivitec.Web.Core: '#/components/schemas/Repo'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/Ascot'
        - $ref: '#/components/schemas/BondMintlifyShape'
        - $ref: '#/components/schemas/BondByCode'
        - $ref: '#/components/schemas/BondFuture'
        - $ref: '#/components/schemas/BondFutureByCode'
        - $ref: '#/components/schemas/BondOption'
        - $ref: '#/components/schemas/Cash'
        - $ref: '#/components/schemas/CDS'
        - $ref: '#/components/schemas/CmdtyFuture'
        - $ref: '#/components/schemas/CmdtyFutureByCode'
        - $ref: '#/components/schemas/CmdtyOption'
        - $ref: '#/components/schemas/CodeSpecifiedMintlifyShape'
        - $ref: '#/components/schemas/ContractExternalMintlifyShape'
        - $ref: '#/components/schemas/ConvertibleBond'
        - $ref: '#/components/schemas/ConvertibleBondByCode'
        - $ref: '#/components/schemas/CreditIndex'
        - $ref: '#/components/schemas/CreditIndexByCode'
        - $ref: '#/components/schemas/CreditIndexSwaption'
        - $ref: '#/components/schemas/EqAccumulator'
        - $ref: '#/components/schemas/EqAutocallableWorstOfOption'
        - $ref: '#/components/schemas/EqBarrierMA'
        - $ref: '#/components/schemas/EqBasketOption'
        - $ref: '#/components/schemas/EqBestOfOption'
        - $ref: '#/components/schemas/EqConditionalCorridorVarianceSwap'
        - $ref: '#/components/schemas/EqCorrelationSwap'
        - $ref: '#/components/schemas/EqCorridorVarianceSwap'
        - $ref: '#/components/schemas/EqCorridorVolatilitySwap'
        - $ref: '#/components/schemas/EqCorridorVolVarSwapBaseMintlifyShape'
        - $ref: '#/components/schemas/EqDividendFuture'
        - $ref: '#/components/schemas/EqDividendFutureByCode'
        - $ref: '#/components/schemas/EqDividendOption'
        - $ref: '#/components/schemas/EqDividendSwap'
        - $ref: '#/components/schemas/EqDividendSwapKnockout'
        - $ref: '#/components/schemas/EqDoubleKnockin'
        - $ref: '#/components/schemas/EqDoubleKnockout'
        - $ref: '#/components/schemas/EqFuture'
        - $ref: '#/components/schemas/EqFutureByCode'
        - $ref: '#/components/schemas/EqFVA'
        - $ref: '#/components/schemas/EqFVASwaption'
        - $ref: '#/components/schemas/EqGeometricVarianceSwap'
        - $ref: '#/components/schemas/EqGeometricVolVarSwapBaseMintlifyShape'
        - $ref: '#/components/schemas/EqKnockin'
        - $ref: '#/components/schemas/EqKnockinKnockout'
        - $ref: '#/components/schemas/EqKnockout'
        - $ref: '#/components/schemas/EqOption'
        - $ref: '#/components/schemas/EqOptionAmerican'
        - $ref: '#/components/schemas/EqOutperformanceOption'
        - $ref: '#/components/schemas/EqStock'
        - $ref: '#/components/schemas/EqSwap'
        - $ref: '#/components/schemas/EqTarn'
        - $ref: '#/components/schemas/EqVarianceSwap'
        - $ref: '#/components/schemas/EqVolatilityKnockoutOption'
        - $ref: '#/components/schemas/EqVolatilitySwap'
        - $ref: '#/components/schemas/EqVolatilitySwapBaseMintlifyShape'
        - $ref: '#/components/schemas/EqVolIndexFuture'
        - $ref: '#/components/schemas/EqVolIndexFutureByCode'
        - $ref: '#/components/schemas/EqVolIndexOption'
        - $ref: '#/components/schemas/FullySpecifiedMintlifyShape'
        - $ref: '#/components/schemas/FxAccumulator'
        - $ref: '#/components/schemas/FxAsianOption'
        - $ref: '#/components/schemas/FxBarrierMA'
        - $ref: '#/components/schemas/FxBasketFuture'
        - $ref: '#/components/schemas/FxBasketOption'
        - $ref: '#/components/schemas/FxCorrelationSwap'
        - $ref: '#/components/schemas/FxDoubleKnockin'
        - $ref: '#/components/schemas/FxDoubleKnockout'
        - $ref: '#/components/schemas/FxForward'
        - $ref: '#/components/schemas/FxFuture'
        - $ref: '#/components/schemas/FxFutureByCode'
        - $ref: '#/components/schemas/FxFVA'
        - $ref: '#/components/schemas/FxKnockin'
        - $ref: '#/components/schemas/FxKnockout'
        - $ref: '#/components/schemas/FxOption'
        - $ref: '#/components/schemas/FxOptionAmerican'
        - $ref: '#/components/schemas/FxOptionOnRealisedVolatility'
        - $ref: '#/components/schemas/FxOptionSAMintlifyShape'
        - $ref: '#/components/schemas/FxTarn'
        - $ref: '#/components/schemas/FxTarnMA'
        - $ref: '#/components/schemas/FxVarianceSwap'
        - $ref: '#/components/schemas/FxVarianceSwapBaseMintlifyShape'
        - $ref: '#/components/schemas/FxVolatilitySwap'
        - $ref: '#/components/schemas/IBondMintlifyShape'
        - $ref: '#/components/schemas/IBondByCodeMintlifyShape'
        - $ref: '#/components/schemas/ICashFlowContractMintlifyShape'
        - $ref: '#/components/schemas/IContractMintlifyShape'
        - $ref: '#/components/schemas/IEqContractMintlifyShape'
        - $ref: '#/components/schemas/IRCapFloor'
        - $ref: '#/components/schemas/IRCapFloorBaseMintlifyShape'
        - $ref: '#/components/schemas/IRCapFloorCMS'
        - $ref: '#/components/schemas/IRFuture'
        - $ref: '#/components/schemas/IRFutureByCode'
        - $ref: '#/components/schemas/IRLeg'
        - $ref: '#/components/schemas/IRLegFixed'
        - $ref: '#/components/schemas/IRLegFloating'
        - $ref: '#/components/schemas/IROption'
        - $ref: '#/components/schemas/IRSwap'
        - $ref: '#/components/schemas/IRSwaption'
        - $ref: '#/components/schemas/Margin'
        - $ref: '#/components/schemas/Repo'
    Ascot:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        asset_swap_spread:
          format: double
          type: number
        bond_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        business_day_convention:
          enum:
            - actual
            - following
            - modified_following
            - preceding
            - modified_preceding
          type: string
        calendar_name:
          nullable: true
          type: string
        coupon_rate:
          format: double
          nullable: true
          type: number
        day_count_convention:
          enum:
            - actual_actual_icma
            - actual365
            - actual360
            - actual_actual_isda
            - actual_actual_afb
            - thirty360
            - thirty_e360
            - thirty_e360_isda
            - n_l365
            - actual364
            - not_set
          type: string
        end_stub:
          enum:
            - none
            - short
            - long
            - not_set
          type: string
        end_to_end:
          type: boolean
        notional:
          format: double
          nullable: true
          type: number
        payment_lag:
          format: int32
          type: integer
        period_str:
          nullable: true
          type: string
        rate_asset_name:
          nullable: true
          type: string
        roll_date:
          format: date-time
          type: string
        start_date:
          format: date-time
          type: string
        start_stub:
          enum:
            - none
            - short
            - long
            - not_set
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.Ascot, Derivitec.Web.Core
      required:
        - $type
      type: object
    BondMintlifyShape:
      example:
        roll_date: '2000-01-23T04:56:07.000+00:00'
        bond_capitalisation_provision:
          capitalisation_rates:
            - 2.027123023002322
            - 2.027123023002322
          capitalisation_dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
        par_value: 6.027456183070403
        bond_day_count_convention: actual_actual_icma
        next_coupon_index: 5
        maturity_date: '2000-01-23T04:56:07.000+00:00'
        bond_extension_provision:
          extended_maturity_dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          extended_redemption_values:
            - 4.965218492984954
            - 4.965218492984954
          extension_dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          issuer_extension:
            - true
            - true
        bond_coupons:
          - coup_type: fixed
            coupon_leg_start_date: '2000-01-23T04:56:07.000+00:00'
            coupon_index_id: coupon_index_id
            coupon_cap: 5.637376656633329
            index_multiplier: 1.4658129805029452
            coupon_leg_first_coupon_date: '2000-01-23T04:56:07.000+00:00'
            coupon_leg_penultimate_coupon_date: '2000-01-23T04:56:07.000+00:00'
            coupon_floor: 5.962133916683182
            fixed_coupon_rate: 0.8008281904610115
            coupon_leg_end_date: '2000-01-23T04:56:07.000+00:00'
            coup_frequency: zero_coupon
            index_fixing_lag: 6
          - coup_type: fixed
            coupon_leg_start_date: '2000-01-23T04:56:07.000+00:00'
            coupon_index_id: coupon_index_id
            coupon_cap: 5.637376656633329
            index_multiplier: 1.4658129805029452
            coupon_leg_first_coupon_date: '2000-01-23T04:56:07.000+00:00'
            coupon_leg_penultimate_coupon_date: '2000-01-23T04:56:07.000+00:00'
            coupon_floor: 5.962133916683182
            fixed_coupon_rate: 0.8008281904610115
            coupon_leg_end_date: '2000-01-23T04:56:07.000+00:00'
            coup_frequency: zero_coupon
            index_fixing_lag: 6
        issuer: issuer
        bond_put_provision: null
        settlement_lag: 1
        coupon_rate: 5.962133916683182
        bond_coupon_type: fixed
        dated_date: '2000-01-23T04:56:07.000+00:00'
        calendar: calendar
        bond_identifier:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
        redemption_rate: 2.3021358869347655
        bond_call_provision: null
        bond_coupon_frequency: zero_coupon
        issuer_id: issuer_id
        first_coupon_date: '2000-01-23T04:56:07.000+00:00'
        business_day_convention: actual
        end_to_end: true
        penultimate_coupon_date: '2000-01-23T04:56:07.000+00:00'
        debt_type: senior
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        bond_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        par_value:
          format: double
          nullable: true
          type: number
        issuer:
          nullable: true
          type: string
        issuer_id:
          nullable: true
          type: string
        dated_date:
          format: date-time
          type: string
        first_coupon_date:
          format: date-time
          type: string
        penultimate_coupon_date:
          format: date-time
          type: string
        maturity_date:
          format: date-time
          type: string
        roll_date:
          format: date-time
          type: string
        end_to_end:
          type: boolean
        business_day_convention:
          enum:
            - actual
            - following
            - modified_following
            - preceding
            - modified_preceding
          type: string
        bond_coupon_frequency:
          enum:
            - zero_coupon
            - annual
            - semi_annual
            - quarterly
            - monthly
            - at_maturity
            - every182_days
            - not_set
          type: string
        bond_coupon_type:
          enum:
            - fixed
            - variable
            - not_set
          type: string
        bond_day_count_convention:
          enum:
            - actual_actual_icma
            - actual365
            - actual360
            - actual_actual_isda
            - actual_actual_afb
            - thirty360
            - thirty_e360
            - thirty_e360_isda
            - n_l365
            - actual364
            - not_set
          type: string
        settlement_lag:
          format: int32
          type: integer
        coupon_rate:
          format: double
          type: number
        calendar:
          nullable: true
          type: string
        next_coupon_index:
          format: int32
          nullable: true
          type: integer
        bond_capitalisation_provision:
          $ref: '#/components/schemas/BondCapitalisationProvision'
        bond_extension_provision:
          $ref: '#/components/schemas/BondExtensionProvision'
        bond_call_provision:
          $ref: '#/components/schemas/BondCallProvision'
        bond_put_provision:
          $ref: '#/components/schemas/BondPutProvision'
        bond_coupons:
          items:
            $ref: '#/components/schemas/BondCoupon'
          nullable: true
          type: array
        redemption_rate:
          format: double
          nullable: true
          type: number
        debt_type:
          enum:
            - senior
            - super_senior
            - other
            - subordinated
            - junior_subordinated
            - preference_shares
            - senior_loss_absorbing
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.Bond, Derivitec.Web.Core
      required:
        - $type
      type: object
    BondByCode:
      required:
        - $type
      type: object
      properties:
        identifier:
          nullable: true
          type: string
        code:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.BondByCode, Derivitec.Web.Core
    BondFuture:
      example:
        notional_bond:
          roll_date: '2000-01-23T04:56:07.000+00:00'
          bond_capitalisation_provision:
            capitalisation_rates:
              - 2.027123023002322
              - 2.027123023002322
            capitalisation_dates:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
          par_value: 6.027456183070403
          bond_day_count_convention: actual_actual_icma
          next_coupon_index: 5
          maturity_date: '2000-01-23T04:56:07.000+00:00'
          bond_extension_provision:
            extended_maturity_dates:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            extended_redemption_values:
              - 4.965218492984954
              - 4.965218492984954
            extension_dates:
              - '2000-01-23T04:56:07.000+00:00'
              - '2000-01-23T04:56:07.000+00:00'
            issuer_extension:
              - true
              - true
          bond_coupons:
            - coup_type: fixed
              coupon_leg_start_date: '2000-01-23T04:56:07.000+00:00'
              coupon_index_id: coupon_index_id
              coupon_cap: 5.637376656633329
              index_multiplier: 1.4658129805029452
              coupon_leg_first_coupon_date: '2000-01-23T04:56:07.000+00:00'
              coupon_leg_penultimate_coupon_date: '2000-01-23T04:56:07.000+00:00'
              coupon_floor: 5.962133916683182
              fixed_coupon_rate: 0.8008281904610115
              coupon_leg_end_date: '2000-01-23T04:56:07.000+00:00'
              coup_frequency: zero_coupon
              index_fixing_lag: 6
            - coup_type: fixed
              coupon_leg_start_date: '2000-01-23T04:56:07.000+00:00'
              coupon_index_id: coupon_index_id
              coupon_cap: 5.637376656633329
              index_multiplier: 1.4658129805029452
              coupon_leg_first_coupon_date: '2000-01-23T04:56:07.000+00:00'
              coupon_leg_penultimate_coupon_date: '2000-01-23T04:56:07.000+00:00'
              coupon_floor: 5.962133916683182
              fixed_coupon_rate: 0.8008281904610115
              coupon_leg_end_date: '2000-01-23T04:56:07.000+00:00'
              coup_frequency: zero_coupon
              index_fixing_lag: 6
          issuer: issuer
          bond_put_provision: null
          settlement_lag: 1
          coupon_rate: 5.962133916683182
          bond_coupon_type: fixed
          dated_date: '2000-01-23T04:56:07.000+00:00'
          calendar: calendar
          bond_identifier:
            code: code
            market_identification_code: market_identification_code
            identifier_type: Derivitec
          redemption_rate: 2.3021358869347655
          bond_call_provision: null
          bond_coupon_frequency: zero_coupon
          issuer_id: issuer_id
          first_coupon_date: '2000-01-23T04:56:07.000+00:00'
          business_day_convention: actual
          end_to_end: true
          penultimate_coupon_date: '2000-01-23T04:56:07.000+00:00'
          debt_type: senior
        future_settlement_type: physical
        conversion_factors:
          - 0.8008281904610115
          - 0.8008281904610115
        eligible_bonds:
          - roll_date: '2000-01-23T04:56:07.000+00:00'
            bond_capitalisation_provision:
              capitalisation_rates:
                - 2.027123023002322
                - 2.027123023002322
              capitalisation_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
            par_value: 6.027456183070403
            bond_day_count_convention: actual_actual_icma
            next_coupon_index: 5
            maturity_date: '2000-01-23T04:56:07.000+00:00'
            bond_extension_provision:
              extended_maturity_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              extended_redemption_values:
                - 4.965218492984954
                - 4.965218492984954
              extension_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              issuer_extension:
                - true
                - true
            bond_coupons:
              - coup_type: fixed
                coupon_leg_start_date: '2000-01-23T04:56:07.000+00:00'
                coupon_index_id: coupon_index_id
                coupon_cap: 5.637376656633329
                index_multiplier: 1.4658129805029452
                coupon_leg_first_coupon_date: '2000-01-23T04:56:07.000+00:00'
                coupon_leg_penultimate_coupon_date: '2000-01-23T04:56:07.000+00:00'
                coupon_floor: 5.962133916683182
                fixed_coupon_rate: 0.8008281904610115
                coupon_leg_end_date: '2000-01-23T04:56:07.000+00:00'
                coup_frequency: zero_coupon
                index_fixing_lag: 6
              - coup_type: fixed
                coupon_leg_start_date: '2000-01-23T04:56:07.000+00:00'
                coupon_index_id: coupon_index_id
                coupon_cap: 5.637376656633329
                index_multiplier: 1.4658129805029452
                coupon_leg_first_coupon_date: '2000-01-23T04:56:07.000+00:00'
                coupon_leg_penultimate_coupon_date: '2000-01-23T04:56:07.000+00:00'
                coupon_floor: 5.962133916683182
                fixed_coupon_rate: 0.8008281904610115
                coupon_leg_end_date: '2000-01-23T04:56:07.000+00:00'
                coup_frequency: zero_coupon
                index_fixing_lag: 6
            issuer: issuer
            bond_put_provision: null
            settlement_lag: 1
            coupon_rate: 5.962133916683182
            bond_coupon_type: fixed
            dated_date: '2000-01-23T04:56:07.000+00:00'
            calendar: calendar
            bond_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            redemption_rate: 2.3021358869347655
            bond_call_provision: null
            bond_coupon_frequency: zero_coupon
            issuer_id: issuer_id
            first_coupon_date: '2000-01-23T04:56:07.000+00:00'
            business_day_convention: actual
            end_to_end: true
            penultimate_coupon_date: '2000-01-23T04:56:07.000+00:00'
            debt_type: senior
          - roll_date: '2000-01-23T04:56:07.000+00:00'
            bond_capitalisation_provision:
              capitalisation_rates:
                - 2.027123023002322
                - 2.027123023002322
              capitalisation_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
            par_value: 6.027456183070403
            bond_day_count_convention: actual_actual_icma
            next_coupon_index: 5
            maturity_date: '2000-01-23T04:56:07.000+00:00'
            bond_extension_provision:
              extended_maturity_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              extended_redemption_values:
                - 4.965218492984954
                - 4.965218492984954
              extension_dates:
                - '2000-01-23T04:56:07.000+00:00'
                - '2000-01-23T04:56:07.000+00:00'
              issuer_extension:
                - true
                - true
            bond_coupons:
              - coup_type: fixed
                coupon_leg_start_date: '2000-01-23T04:56:07.000+00:00'
                coupon_index_id: coupon_index_id
                coupon_cap: 5.637376656633329
                index_multiplier: 1.4658129805029452
                coupon_leg_first_coupon_date: '2000-01-23T04:56:07.000+00:00'
                coupon_leg_penultimate_coupon_date: '2000-01-23T04:56:07.000+00:00'
                coupon_floor: 5.962133916683182
                fixed_coupon_rate: 0.8008281904610115
                coupon_leg_end_date: '2000-01-23T04:56:07.000+00:00'
                coup_frequency: zero_coupon
                index_fixing_lag: 6
              - coup_type: fixed
                coupon_leg_start_date: '2000-01-23T04:56:07.000+00:00'
                coupon_index_id: coupon_index_id
                coupon_cap: 5.637376656633329
                index_multiplier: 1.4658129805029452
                coupon_leg_first_coupon_date: '2000-01-23T04:56:07.000+00:00'
                coupon_leg_penultimate_coupon_date: '2000-01-23T04:56:07.000+00:00'
                coupon_floor: 5.962133916683182
                fixed_coupon_rate: 0.8008281904610115
                coupon_leg_end_date: '2000-01-23T04:56:07.000+00:00'
                coup_frequency: zero_coupon
                index_fixing_lag: 6
            issuer: issuer
            bond_put_provision: null
            settlement_lag: 1
            coupon_rate: 5.962133916683182
            bond_coupon_type: fixed
            dated_date: '2000-01-23T04:56:07.000+00:00'
            calendar: calendar
            bond_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            redemption_rate: 2.3021358869347655
            bond_call_provision: null
            bond_coupon_frequency: zero_coupon
            issuer_id: issuer_id
            first_coupon_date: '2000-01-23T04:56:07.000+00:00'
            business_day_convention: actual
            end_to_end: true
            penultimate_coupon_date: '2000-01-23T04:56:07.000+00:00'
            debt_type: senior
        bond_issuer: bond_issuer
        future_quotation_style: by_price
        traded_price: 7.061401241503109
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        bond_issuer:
          nullable: true
          type: string
        conversion_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        eligible_bonds:
          items:
            $ref: '#/components/schemas/Bond'
          nullable: true
          type: array
        notional_bond:
          $ref: '#/components/schemas/Bond'
        future_settlement_type:
          enum:
            - physical
            - cash
          type: string
        future_quotation_style:
          enum:
            - by_price
            - by_yield
          type: string
        traded_price:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.BondFuture, Derivitec.Web.Core
      required:
        - $type
      type: object
    BondFutureByCode:
      example:
        traded_price: 0.8008281904610115
      properties:
        identifier:
          nullable: true
          type: string
        code:
          $ref: '#/components/schemas/InstrumentIdentifier'
        traded_price:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.BondFutureByCode, Derivitec.Web.Core
      required:
        - $type
      type: object
    BondOption:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        bond_future:
          $ref: '#/components/schemas/BondFutureByCode'
        strike:
          format: double
          type: number
        option_claim_type:
          enum:
            - put
            - call
          type: string
        premium_paid_up_front:
          type: boolean
        traded_price:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.BondOption, Derivitec.Web.Core
      required:
        - $type
      type: object
    Cash:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        settlement_date:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.Cash, Derivitec.Web.Core
      required:
        - $type
      type: object
    CDS:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        business_day_convention:
          enum:
            - actual
            - following
            - modified_following
            - preceding
            - modified_preceding
          type: string
        calendar:
          nullable: true
          type: string
        code:
          $ref: '#/components/schemas/InstrumentIdentifier'
        coupon_frequency:
          enum:
            - annual
            - semi_annual
            - quarterly
            - monthly
          type: string
        coupon_rate:
          format: double
          type: number
        day_count_convention:
          enum:
            - actual_actual_icma
            - actual365
            - actual360
            - thirty360
            - thirty_e360
            - thirty_e360_isda
          type: string
        debt_type:
          enum:
            - senior
            - super_senior
            - other
            - subordinated
            - junior_subordinated
            - preference_shares
            - senior_loss_absorbing
          type: string
        default_type:
          enum:
            - undefined
            - bankruptcy
            - failure_to_pay
            - obligation_acceleration
            - repudiation
            - restructuring_cr
            - restructuring_c_r14
            - restructuring_mr
            - restructuring_m_r14
            - restructuring_mm
            - restructuring_m_m14
            - ex_restructuring_xr
            - ex_restructuring_x_r14
          type: string
        end_to_end:
          type: boolean
        first_coupon_date:
          format: date-time
          nullable: true
          type: string
        pay_accrual_at_default:
          type: boolean
        penultimate_coupon_date:
          format: date-time
          nullable: true
          type: string
        protection_at_start_of_day:
          type: boolean
        reference_bond_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        roll_date:
          format: date-time
          nullable: true
          type: string
        settlement_lag:
          format: int32
          type: integer
        settlement_type:
          enum:
            - cash
            - physical
          nullable: true
          type: string
        start_date:
          format: date-time
          type: string
        markit_ticker:
          nullable: true
          type: string
        issuer_lei:
          nullable: true
          type: string
        use_imm_dates:
          type: boolean
        red_pair_code:
          nullable: true
          readOnly: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.CDS, Derivitec.Web.Core
      required:
        - $type
      type: object
    CmdtyFuture:
      example:
        future_settlement_type: cash
        name: name
        exchange: exchange
        traded_price: 0.8008281904610115
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        exchange:
          nullable: true
          type: string
        future_settlement_type:
          enum:
            - cash
            - physical
          type: string
        name:
          nullable: true
          type: string
        traded_price:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.CmdtyFuture, Derivitec.Web.Core
      required:
        - $type
      type: object
    CmdtyFutureByCode:
      properties:
        identifier:
          nullable: true
          type: string
        code:
          $ref: '#/components/schemas/InstrumentIdentifier'
        traded_price:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.CmdtyFutureByCode, Derivitec.Web.Core
      required:
        - $type
      type: object
    CmdtyOption:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        underlyer:
          $ref: '#/components/schemas/InstrumentIdentifier'
        strike:
          format: double
          type: number
        option_claim_type:
          enum:
            - put
            - call
          type: string
        futures_expiration_date:
          format: date-time
          nullable: true
          type: string
        premium_paid_up_front:
          type: boolean
        is_listed:
          type: boolean
        traded_price:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.CmdtyOption, Derivitec.Web.Core
      required:
        - $type
      type: object
    CodeSpecifiedMintlifyShape:
      properties:
        identifier:
          nullable: true
          type: string
        code:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.CodeSpecified, Derivitec.Web.Core
      required:
        - $type
      type: object
    ContractExternalMintlifyShape:
      properties:
        identifier:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.ContractExternal, Derivitec.Web.Core
      required:
        - $type
      type: object
    ConvertibleBond:
      example:
        puttable_conversion_condition:
          dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          notionals:
            - 8.762042012749001
            - 8.762042012749001
        asset_currency: asset_currency
        callable_conversion_condition:
          is_make_whole: true
          convert_on_call: true
          dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          notionals:
            - 2.3021358869347655
            - 2.3021358869347655
          num_consecutive_trading_days: 9
          triggers:
            - 3.616076749251911
            - 3.616076749251911
          num_days_above_trigger: 7
        asset_identifier:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
        conversion_condition:
          cash_on_conversions:
            - 1.2315135367772556
            - 1.2315135367772556
          dates:
            - '2000-01-23T04:56:07.000+00:00'
            - '2000-01-23T04:56:07.000+00:00'
          triggers:
            - 7.386281948385884
            - 7.386281948385884
          conversion_ratios:
            - 4.145608029883936
            - 4.145608029883936
        dividend_protection_conversion_condition:
          is_cash_threshold: true
          threshold: 1.1730742509559433
          type: pass_through
        dilution_conversion_condition:
          issued_shares: 6
          issued_amount: 7.457744773683766
        mandatory_conversion_condition:
          put_ratio: 9.965781217890562
          call_ratio: 5.025004791520295
        is_exchangeable: true
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        bond_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        par_value:
          format: double
          nullable: true
          type: number
        issuer:
          nullable: true
          type: string
        issuer_id:
          nullable: true
          type: string
        dated_date:
          format: date-time
          type: string
        first_coupon_date:
          format: date-time
          type: string
        penultimate_coupon_date:
          format: date-time
          type: string
        maturity_date:
          format: date-time
          type: string
        roll_date:
          format: date-time
          type: string
        end_to_end:
          type: boolean
        business_day_convention:
          enum:
            - actual
            - following
            - modified_following
            - preceding
            - modified_preceding
          type: string
        bond_coupon_frequency:
          enum:
            - zero_coupon
            - annual
            - semi_annual
            - quarterly
            - monthly
            - at_maturity
            - every182_days
            - not_set
          type: string
        bond_coupon_type:
          enum:
            - fixed
            - variable
            - not_set
          type: string
        bond_day_count_convention:
          enum:
            - actual_actual_icma
            - actual365
            - actual360
            - actual_actual_isda
            - actual_actual_afb
            - thirty360
            - thirty_e360
            - thirty_e360_isda
            - n_l365
            - actual364
            - not_set
          type: string
        settlement_lag:
          format: int32
          type: integer
        coupon_rate:
          format: double
          type: number
        calendar:
          nullable: true
          type: string
        next_coupon_index:
          format: int32
          nullable: true
          type: integer
        bond_capitalisation_provision:
          $ref: '#/components/schemas/BondCapitalisationProvision'
        bond_extension_provision:
          $ref: '#/components/schemas/BondExtensionProvision'
        bond_call_provision:
          $ref: '#/components/schemas/BondCallProvision'
        bond_put_provision:
          $ref: '#/components/schemas/BondPutProvision'
        bond_coupons:
          items:
            $ref: '#/components/schemas/BondCoupon'
          nullable: true
          type: array
        redemption_rate:
          format: double
          nullable: true
          type: number
        debt_type:
          enum:
            - senior
            - super_senior
            - other
            - subordinated
            - junior_subordinated
            - preference_shares
            - senior_loss_absorbing
          type: string
        asset_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        asset_currency:
          nullable: true
          type: string
        conversion_condition:
          $ref: '#/components/schemas/ConversionCondition'
        dilution_conversion_condition:
          $ref: '#/components/schemas/DilutionConversionCondition'
        callable_conversion_condition:
          $ref: '#/components/schemas/CallableConversionCondition'
        puttable_conversion_condition:
          $ref: '#/components/schemas/PuttableConversionCondition'
        mandatory_conversion_condition:
          $ref: '#/components/schemas/MandatoryConversionCondition'
        dividend_protection_conversion_condition:
          $ref: '#/components/schemas/DividendProtectionConversionCondition'
        is_exchangeable:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.ConvertibleBond, Derivitec.Web.Core
      required:
        - $type
      type: object
    ConvertibleBondByCode:
      required:
        - $type
      type: object
      properties:
        identifier:
          nullable: true
          type: string
        code:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.ConvertibleBondByCode,
              Derivitec.Web.Core
    CreditIndex:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        business_day_convention:
          enum:
            - actual
            - following
            - modified_following
            - preceding
            - modified_preceding
          type: string
        calendar:
          nullable: true
          type: string
        coupon_frequency:
          enum:
            - annual
            - semi_annual
            - quarterly
            - monthly
          type: string
        coupon_rate:
          format: double
          type: number
        recovery_rate:
          format: double
          type: number
        day_count_convention:
          enum:
            - actual_actual_icma
            - actual365
            - actual360
            - thirty360
            - thirty_e360
            - thirty_e360_isda
          type: string
        debt_type:
          enum:
            - senior
            - super_senior
            - other
            - subordinated
            - junior_subordinated
            - preference_shares
            - senior_loss_absorbing
          type: string
        default_type:
          enum:
            - undefined
            - bankruptcy
            - failure_to_pay
            - obligation_acceleration
            - repudiation
            - restructuring_cr
            - restructuring_c_r14
            - restructuring_mr
            - restructuring_m_r14
            - restructuring_mm
            - restructuring_m_m14
            - ex_restructuring_xr
            - ex_restructuring_x_r14
          type: string
        end_to_end:
          type: boolean
        first_coupon_date:
          format: date-time
          type: string
        pay_accrual_at_default:
          type: boolean
        penultimate_coupon_date:
          format: date-time
          type: string
        protection_at_start_of_day:
          type: boolean
        credit_index_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        roll_date:
          format: date-time
          type: string
        settlement_lag:
          format: int32
          type: integer
        settlement_type:
          enum:
            - cash
            - physical
          nullable: true
          type: string
        start_date:
          format: date-time
          type: string
        number_of_names:
          format: int32
          nullable: true
          type: integer
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.CreditIndex, Derivitec.Web.Core
      required:
        - $type
      type: object
    CreditIndexByCode:
      properties:
        identifier:
          nullable: true
          type: string
        code:
          $ref: '#/components/schemas/InstrumentIdentifier'
        credit_index_maturity_date:
          format: date-time
          type: string
        red_code:
          nullable: true
          readOnly: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.CreditIndexByCode, Derivitec.Web.Core
      required:
        - $type
      type: object
    CreditIndexSwaption:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        strike:
          format: double
          type: number
        option_claim_type:
          enum:
            - payer
            - receiver
          type: string
        credit_index:
          $ref: '#/components/schemas/CreditIndexByCode'
        is_price_based:
          type: boolean
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.CreditIndexSwaption,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EqAccumulator:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        schedule_start_date:
          format: date-time
          type: string
        schedule_end_date:
          format: date-time
          type: string
        payment_frequency:
          nullable: true
          type: string
        business_day_convention:
          enum:
            - actual
            - following
            - modified_following
            - preceding
            - modified_preceding
          type: string
        fixing_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        period_start_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        period_end_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        strikes:
          items:
            format: double
            type: number
          nullable: true
          type: array
        leveraging_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        knockout_barrier_levels:
          items:
            format: double
            type: number
          nullable: true
          type: array
        shares:
          items:
            format: double
            type: number
          nullable: true
          type: array
        calendar_name:
          nullable: true
          type: string
        option_settlement_type:
          enum:
            - physical
            - cash
          type: string
        settlement_delay:
          format: int32
          type: integer
        is_accumulator:
          type: boolean
        accumulate_shares_on_knockout:
          type: boolean
        num_guaranteed_periods:
          format: int32
          type: integer
        call_barrier_type:
          enum:
            - none
            - knock_in
            - knock_out
          type: string
        call_barrier_levels:
          items:
            format: double
            type: number
          nullable: true
          type: array
        put_barrier_type:
          enum:
            - none
            - knock_in
            - knock_out
          type: string
        put_barrier_levels:
          items:
            format: double
            type: number
          nullable: true
          type: array
        underlyer:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.EqAccumulator, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqAutocallableWorstOfOption:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        basket_name:
          nullable: true
          type: string
        equity_identifiers:
          items:
            $ref: '#/components/schemas/InstrumentIdentifier'
          nullable: true
          type: array
        initial_fixings:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        is_worst_of:
          type: boolean
        is_knock_asset:
          type: boolean
        knockin_level:
          format: double
          type: number
        redemption_rate:
          format: double
          type: number
        strike:
          format: double
          type: number
        option_claim_type:
          enum:
            - call
            - put
          type: string
        option_settlement_type:
          enum:
            - cash
            - physical
          type: string
        payment_lag:
          format: int32
          type: integer
        settlement_lag:
          format: int32
          type: integer
        calendar:
          nullable: true
          type: string
        start_date:
          format: date-time
          type: string
        period_str:
          nullable: true
          type: string
        knockout_determination_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        knockout_barrier_levels:
          items:
            format: double
            type: number
          nullable: true
          type: array
        early_redemption_rates:
          items:
            format: double
            type: number
          nullable: true
          type: array
        knockout_level:
          format: double
          type: number
        coupon_frequency:
          nullable: true
          type: string
        coupon_end_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        coupon_rates:
          items:
            format: double
            type: number
          nullable: true
          type: array
        coupon_barrier_levels:
          items:
            format: double
            type: number
          nullable: true
          type: array
        coupon_barrier_level:
          format: double
          type: number
        is_annualised_coupon:
          type: boolean
        coupon_rate:
          format: double
          type: number
        next_coupon_index:
          format: int32
          type: integer
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.EqAutocallableWorstOfOption,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EqBarrierMA:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        basket_name:
          nullable: true
          type: string
        equity_identifiers:
          items:
            $ref: '#/components/schemas/InstrumentIdentifier'
          nullable: true
          type: array
        fx_pairs:
          items:
            type: string
          nullable: true
          type: array
        barrier_start_date:
          format: date-time
          type: string
        barrier_end_date:
          format: date-time
          type: string
        settlement_lag:
          format: int32
          type: integer
        upper_barrier_levels:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        fx_upper_barrier_levels:
          items:
            $ref: '#/components/schemas/StringDoubleKeyValuePair'
          nullable: true
          type: array
        lower_barrier_levels:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        fx_lower_barrier_levels:
          items:
            $ref: '#/components/schemas/StringDoubleKeyValuePair'
          nullable: true
          type: array
        calendar_name:
          nullable: true
          type: string
        knock_type:
          enum:
            - knock_out
            - knock_in
          type: string
        strikes:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        fx_strikes:
          items:
            $ref: '#/components/schemas/StringDoubleKeyValuePair'
          nullable: true
          type: array
        claim_types:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierClaimTypeEqKeyValuePair'
          nullable: true
          type: array
        fx_claim_types:
          items:
            $ref: '#/components/schemas/StringClaimTypeEqKeyValuePair'
          nullable: true
          type: array
        cutoff:
          enum:
            - new_york
            - london
            - tokyo
            - budapest
            - warsaw
            - mexico
            - wm_reuters4pm
            - london1600
            - london1300
            - new_york1230
            - london1500
            - london1030
            - london0900
            - hong_kong0800
            - hong_kong0900
            - hong_kong1300
            - hong_kong1400
            - hong_kong1500
            - hong_kong1600
            - taipei1100
            - mumbai1330
            - manila1130
            - korea1400
            - korea1530
            - mexico1130
            - tokyo1500
            - new_york1000
            - london1200
            - budapest1200
            - warsaw1100
            - tokyo1400
            - jakarta1615
            - not_set
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.EqBarrierMA, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqBasketOption:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        basket_name:
          nullable: true
          type: string
        calendar:
          nullable: true
          type: string
        equity_identifiers:
          items:
            $ref: '#/components/schemas/InstrumentIdentifier'
          nullable: true
          type: array
        quantities:
          items:
            format: double
            type: number
          nullable: true
          type: array
        divisor:
          format: double
          type: number
        weights:
          items:
            format: double
            type: number
          nullable: true
          type: array
        basket_averaging_type:
          enum:
            - arithmetic
            - geometric
            - not_set
          type: string
        option_claim_type:
          enum:
            - call
            - put
            - digital_call
            - digital_put
          type: string
        settlement_lag:
          format: int32
          type: integer
        strike:
          format: double
          type: number
        initial_fixings:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        initial_fx_rates:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        premium_paid_upfront:
          type: boolean
        traded_price:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.EqBasketOption, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqBestOfOption:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        basket_name:
          nullable: true
          type: string
        calendar:
          nullable: true
          type: string
        equity_identifiers:
          items:
            $ref: '#/components/schemas/InstrumentIdentifier'
          nullable: true
          type: array
        initial_fixings:
          items:
            $ref: '#/components/schemas/InstrumentIdentifierDoubleKeyValuePair'
          nullable: true
          type: array
        is_best_of:
          type: boolean
        is_quanto:
          type: boolean
        option_claim_type:
          enum:
            - call
            - put
            - digital_call
            - digital_put
          type: string
        ranking:
          format: int32
          type: integer
        settlement_lag:
          format: int32
          type: integer
        start_date:
          format: date-time
          type: string
        strike:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.EqBestOfOption, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqConditionalCorridorVarianceSwap:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        equity_identifiers:
          items:
            $ref: '#/components/schemas/InstrumentIdentifier'
          nullable: true
          type: array
        variance_asset_index:
          format: int32
          type: integer
        vol_strike:
          format: double
          type: number
        vol_strike_pct:
          format: double
          readOnly: true
          type: number
        initial_date:
          format: date-time
          type: string
        fixing_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        period_str:
          nullable: true
          type: string
        annualisation_factor:
          format: double
          type: number
        settlement_lag:
          format: int32
          type: integer
        calendar_name:
          nullable: true
          type: string
        include_dividend_jumps:
          type: boolean
        corridor_asset_index:
          format: int32
          type: integer
        lower_corridor_barrier:
          format: double
          type: number
        upper_corridor_barrier:
          format: double
          type: number
        corridor_type:
          enum:
            - none
            - prior
            - current
            - both
          type: string
        is_normalised:
          type: boolean
        knockout_asset_index:
          format: int32
          type: integer
        knockout_barrier:
          format: double
          type: number
        knockout_barrier_type:
          enum:
            - none
            - up_and_out
            - down_and_out
          type: string
        variance_asset_idx:
          format: int32
          nullable: true
          type: integer
        corridor_asset_idx:
          format: int32
          nullable: true
          type: integer
        knockout_asset_idx:
          format: int32
          nullable: true
          type: integer
        upper_barrier:
          format: double
          nullable: true
          type: number
        lower_barrier:
          format: double
          nullable: true
          type: number
        tenor:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.EqConditionalCorridorVarianceSwap,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EqCorrelationSwap:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        equity_identifiers:
          items:
            $ref: '#/components/schemas/InstrumentIdentifier'
          nullable: true
          type: array
        fx_pairs:
          items:
            type: string
          nullable: true
          type: array
        basket_name:
          nullable: true
          type: string
        strike:
          format: double
          type: number
        fixing_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        initial_date:
          format: date-time
          type: string
        period_str:
          nullable: true
          type: string
        annualisation_factor:
          format: double
          type: number
        settlement_lag:
          format: int32
          type: integer
        return_lag:
          format: int32
          type: integer
        include_mean_adjustment:
          type: boolean
        calendar_name:
          nullable: true
          type: string
        business_day_convention:
          enum:
            - actual
            - following
            - modified_following
            - preceding
            - modified_preceding
          type: string
        option_cutoff:
          enum:
            - new_york
            - london
            - tokyo
            - budapest
            - warsaw
            - mexico
            - wm_reuters4pm
            - london1600
            - london1300
            - new_york1230
            - london1500
            - london1030
            - london0900
            - hong_kong0800
            - hong_kong0900
            - hong_kong1300
            - hong_kong1400
            - hong_kong1500
            - hong_kong1600
            - taipei1100
            - mumbai1330
            - manila1130
            - korea1400
            - korea1530
            - mexico1130
            - tokyo1500
            - new_york1000
            - london1200
            - budapest1200
            - warsaw1100
            - tokyo1400
            - jakarta1615
            - not_set
          type: string
        corridor_asset_index:
          format: int32
          type: integer
        initial_fixing:
          format: double
          type: number
        lower_barrier:
          format: double
          type: number
        upper_barrier:
          format: double
          type: number
        option_corridor_type:
          enum:
            - none
            - prior
            - current
            - both
          type: string
        is_normalised:
          type: boolean
        vol_strikes:
          items:
            format: double
            type: number
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.EqCorrelationSwap, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqCorridorVarianceSwap:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        underlyer:
          $ref: '#/components/schemas/InstrumentIdentifier'
        vol_strike:
          format: double
          type: number
        vol_strike_pct:
          format: double
          readOnly: true
          type: number
        initial_date:
          format: date-time
          type: string
        tenor:
          nullable: true
          type: string
        annualisation_factor:
          format: double
          type: number
        settlement_delay:
          format: int32
          type: integer
        calendar_name:
          nullable: true
          type: string
        include_dividend_jumps:
          type: boolean
        return_lag:
          format: int32
          type: integer
        lower_barrier:
          format: double
          type: number
        is_lower_barrier_active:
          type: boolean
        upper_barrier:
          format: double
          type: number
        is_upper_barrier_active:
          type: boolean
        is_normalised:
          type: boolean
        corridor_type:
          enum:
            - prior
            - current
            - both
          type: string
        knockout_barrier:
          format: double
          type: number
        knockout_barrier_type:
          enum:
            - none
            - up
            - down
            - double_barriers
          type: string
        cap_level:
          format: double
          nullable: true
          type: number
        cap_level_pct:
          format: double
          nullable: true
          readOnly: true
          type: number
        knockin_barrier_type:
          enum:
            - none
            - up
            - down
            - double_barriers
          type: string
        knockin_observation_type:
          enum:
            - at_initial_date
            - at_expiry
            - any_fixing_dates
          type: string
        knockin_barrier:
          format: double
          type: number
        knockin_upper_barrier:
          format: double
          type: number
        knockin_payoff_type:
          enum:
            - contingent_payoff
            - contingent_strike
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.EqCorridorVarianceSwap,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EqCorridorVolatilitySwap:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        equity_identifiers:
          items:
            $ref: '#/components/schemas/InstrumentIdentifier'
          nullable: true
          type: array
        variance_asset_index:
          format: int32
          type: integer
        vol_strike:
          format: double
          type: number
        vol_strike_pct:
          format: double
          readOnly: true
          type: number
        initial_date:
          format: date-time
          type: string
        fixing_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        period_str:
          nullable: true
          type: string
        annualisation_factor:
          format: double
          type: number
        settlement_lag:
          format: int32
          type: integer
        calendar_name:
          nullable: true
          type: string
        include_dividend_jumps:
          type: boolean
        corridor_asset_index:
          format: int32
          type: integer
        lower_corridor_barrier:
          format: double
          type: number
        upper_corridor_barrier:
          format: double
          type: number
        corridor_type:
          enum:
            - none
            - prior
            - current
            - both
          type: string
        is_normalised:
          type: boolean
        vol_cap:
          format: double
          nullable: true
          type: number
        vol_cap_pct:
          format: double
          nullable: true
          readOnly: true
          type: number
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.EqCorridorVolatilitySwap,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EqCorridorVolVarSwapBaseMintlifyShape:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        equity_identifiers:
          items:
            $ref: '#/components/schemas/InstrumentIdentifier'
          nullable: true
          type: array
        variance_asset_index:
          format: int32
          type: integer
        vol_strike:
          format: double
          type: number
        vol_strike_pct:
          format: double
          readOnly: true
          type: number
        initial_date:
          format: date-time
          type: string
        fixing_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        period_str:
          nullable: true
          type: string
        annualisation_factor:
          format: double
          type: number
        settlement_lag:
          format: int32
          type: integer
        calendar_name:
          nullable: true
          type: string
        include_dividend_jumps:
          type: boolean
        corridor_asset_index:
          format: int32
          type: integer
        lower_corridor_barrier:
          format: double
          type: number
        upper_corridor_barrier:
          format: double
          type: number
        corridor_type:
          enum:
            - none
            - prior
            - current
            - both
          type: string
        is_normalised:
          type: boolean
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.EqCorridorVolVarSwapBase,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EqDividendFuture:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        dividend_index_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.EqDividendFuture, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqDividendFutureByCode:
      properties:
        identifier:
          nullable: true
          type: string
        code:
          $ref: '#/components/schemas/InstrumentIdentifier'
        traded_price:
          format: double
          type: number
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.EqDividendFutureByCode,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EqDividendOption:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        dividend_future:
          $ref: '#/components/schemas/EqDividendFutureByCode'
        strike:
          format: double
          type: number
        option_claim_type:
          enum:
            - call
            - put
            - forward
            - digital_call
            - digital_put
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.EqDividendOption, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqDividendSwap:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        schedule_start_date:
          format: date-time
          type: string
        schedule_end_date:
          format: date-time
          type: string
        payment_frequency:
          nullable: true
          type: string
        strike:
          format: double
          type: number
        settlement_delay:
          format: int32
          type: integer
        include_special_dividends:
          type: boolean
        underlyer:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.EqDividendSwap, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqDividendSwapKnockout:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        barrier:
          format: double
          type: number
        barrier_type:
          enum:
            - up_and_in
            - up_and_out
            - down_and_in
            - down_and_out
          type: string
        barrier_observation_date:
          format: date-time
          type: string
        rebate_type:
          enum:
            - none
            - pay_at_knock
            - pay_at_maturity
          type: string
        rebate:
          format: double
          type: number
        schedule_start_date:
          format: date-time
          type: string
        schedule_end_date:
          format: date-time
          type: string
        payment_frequency:
          nullable: true
          type: string
        strike:
          format: double
          type: number
        settlement_delay:
          format: int32
          type: integer
        include_special_dividends:
          type: boolean
        underlyer:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.EqDividendSwapKnockout,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EqDoubleKnockin:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        upper_barrier:
          format: double
          type: number
        lower_barrier:
          format: double
          type: number
        start_date:
          format: date-time
          type: string
        barrier_start_date:
          format: date-time
          type: string
        barrier_end_date:
          format: date-time
          type: string
        option_claim_type:
          enum:
            - call
            - put
            - forward
            - digital_call
            - digital_put
          type: string
        rebate:
          format: double
          type: number
        settlement_delay:
          format: int32
          type: integer
        strike:
          format: double
          type: number
        initial_spot_fixed:
          format: double
          type: number
        underlyer:
          $ref: '#/components/schemas/InstrumentIdentifier'
        calendar_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.EqDoubleKnockin, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqDoubleKnockout:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        upper_barrier:
          format: double
          type: number
        lower_barrier:
          format: double
          type: number
        start_date:
          format: date-time
          type: string
        barrier_start_date:
          format: date-time
          type: string
        barrier_end_date:
          format: date-time
          type: string
        option_claim_type:
          enum:
            - call
            - put
            - forward
            - digital_call
            - digital_put
          type: string
        upper_rebate:
          format: double
          type: number
        lower_rebate:
          format: double
          type: number
        option_rebate_type:
          enum:
            - none
            - pay_at_knock
            - pay_at_maturity
          type: string
        settlement_delay:
          format: int32
          type: integer
        strike:
          format: double
          type: number
        initial_spot_fixed:
          format: double
          type: number
        underlyer:
          $ref: '#/components/schemas/InstrumentIdentifier'
        calendar_name:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.EqDoubleKnockout, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqFuture:
      example:
        future_settlement_type: physical
        underlyer:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
        traded_price: 0.8008281904610115
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        underlyer:
          $ref: '#/components/schemas/InstrumentIdentifier'
        future_settlement_type:
          enum:
            - physical
            - cash
          type: string
        traded_price:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.EqFuture, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqFutureByCode:
      properties:
        identifier:
          nullable: true
          type: string
        code:
          $ref: '#/components/schemas/InstrumentIdentifier'
        traded_price:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.EqFutureByCode, Derivitec.Web.Core
      required:
        - $type
      type: object
    EqFVA:
      properties:
        identifier:
          nullable: true
          type: string
        currency:
          nullable: true
          type: string
        expiration_date:
          format: date-time
          type: string
        calendar:
          nullable: true
          type: string
        settlement_lag:
          format: int32
          type: integer
        claim_type:
          enum:
            - call
            - put
            - forward
            - digital_call
            - digital_put
            - straddle
[...]
